# notifier

### Что делает

 - сохраняет тех, кому уведомления уже были отправлены (redis: authors-online)
 - формирует дайджесты для остальных
 - слушает Redis PubSub канал с обновлениями реакций


### Что НЕ делает

 - не отправляет сообщения по SSE
 - не определяет кому их отправлять


## Как разрабатывать локально

Установить
- Redis
- Postgres

Затем

```shell
poetry install
poetry env use 3.12
poetry run python server.py
```
